#import "HelpPopupViewController.h"
#import "Reachability.h"
@implementation HelpPopupViewController

@synthesize m_webView;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) 
    {

    }
    return self;
}

- (void)viewDidLoad
{
	Reachability* reachability = [Reachability reachabilityWithHostName:@"permadi.com"];
    NetworkStatus networkStatus = [reachability currentReachabilityStatus];
    if(networkStatus == NotReachable) 
	{
		// Load local version if there's no internet connection 
		NSString *path = [[NSBundle mainBundle] pathForResource:@"index" ofType:@"html" inDirectory:@"Help"];
		NSURL *url = [NSURL fileURLWithPath:path];
		NSURLRequest *request = [NSURLRequest requestWithURL:url];
        [m_webView loadRequest:request];                   
		[m_webView setBackgroundColor:[UIColor clearColor]];
    }
	else
    {
		NSString *urlAddressString = @"http://www.permadi.com/tutorial/ios-html-help-example/index.php";        
        NSURL *url = [NSURL URLWithString:urlAddressString];
        NSURLRequest *request = [NSURLRequest requestWithURL:url];
        [m_webView loadRequest:request];     
		[m_webView setBackgroundColor:[UIColor clearColor]];
    }
	/*if (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPhone)
	{
		[m_webView setScalesPageToFit:YES];
	}*/	
}

-(IBAction)onCloseButtonClicked:(id)sender
{
	[self.view removeFromSuperview];
	// signal parent through delegate or something if you want parent to do something
}


@end
